Bug 1300308 - OSP8 neutron-server fails to push notifications on security group update into OSP7 L2 agents
OSP8 neutron-server fails to push notifications on security group update into...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Ihar Hrachyshka
Eran Kuris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 07:54 EST by Ihar Hrachyshka
Modified: 2016-04-26 13:43 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-neutron-7.0.1-7.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, the neutron-server service would sometimes erroneously require a new RPC entrypoint version from the L2 agents that listened for security group updates. Consequently, the RHEL OpenStack Platform 7 neutron L2 agents could not handle certain security group update notifications sent by Red Hat OpenStack Platform 8 neutron-server services, causing certain security group updates to not be propagated to the data plane. This update addresses this issue by ending the requirement of the new RPC endpoint version from agents, as this will assist the rolling upgrade scenario between RHEL OpenStack Platform 7 and Red Hat OpenStack Platform 8. As a result, RHEL OpenStack Platform 7 neutron L2 agents will now correctly handle security group update notifications sent by the Red Hat OpenStack Platform 8 neutron-server services.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 17:25:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1531772 None None None 2016-01-20 07:54 EST
OpenStack gerrit 268697 None None None 2016-01-20 07:55 EST

  None (edit)
Description Ihar Hrachyshka 2016-01-20 07:54:26 EST
Description of problem:

When you try to mix Liberty neutron-server and Kilo l2 agent, the following trace back can be seen when security groups are modified on DHCP and IPv6 router ports.

ERROR oslo_messaging.rpc.dispatcher [-] Exception during message handling: Endpoint does not support RPC version 1.3. Attempted method: security_groups_provider_updated
TRACE oslo_messaging.rpc.dispatcher Traceback (most recent call last):
TRACE oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 142, in _dispatch_and_reply
TRACE oslo_messaging.rpc.dispatcher     executor_callback))
TRACE oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 195, in _dispatch
TRACE oslo_messaging.rpc.dispatcher     raise UnsupportedVersion(version, method=method)
TRACE oslo_messaging.rpc.dispatcher UnsupportedVersion: Endpoint does not support RPC version 1.3. Attempted method: security_groups_provider_updated

This is because neutron-server requires security group API endpoint = 1.3 while Kilo agents are still at 1.2.

The fix would be to avoid enforcing the version in OSP8, since OSP7 l2 agents are resistant against changes in argument list of RPC notification endpoints, and are able to handle new OSP8 notifications (just with reduced performance).
Comment 5 Eran Kuris 2016-01-26 02:46:23 EST
verified 

[heat-admin@overcloud-controller-0 ~]$ sudo vi /usr/lib/python2.7/site-packages/neutron/api/rpc/handlers/securitygroups_rpc.py
[heat-admin@overcloud-controller-0 ~]$ rpm -qa |grep openstack-neutron
openstack-neutron-7.0.1-8.el7ost.noarch
openstack-neutron-common-7.0.1-8.el7ost.noarch
openstack-neutron-openvswitch-7.0.1-8.el7ost.noarch
openstack-neutron-ml2-7.0.1-8.el7ost.noarch
openstack-neutron-metering-agent-7.0.1-8.el7ost.noarch
openstack-neutron-lbaas-7.0.0-2.el7ost.noarch
Comment 6 errata-xmlrpc 2016-04-07 17:25:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0603.html

Note You need to log in before you can comment on or make changes to this bug.